Webmin 2.013 released

Howdy all,

I’ve rolled out Webmin version 2.013 to all repos.

Changes since 2.012 (not released to Virtualmin repos):

  • Fix Authentic theme issue with error handling
  • Fix Framed theme to respect selected mode in left menu
  • Fix search bar in left menu in Framed theme

Changes since 2.011:

  • Fix to set the correct algorithm when setting up RNDC #1817
  • Fix the loop bug when sourcing other network configs in Debian
  • Fix to include all Debian network config files in backups
  • Fix to stop doing expensive package re-fetch on upgrades
  • Add support for defining hostname for WebSocket connection
  • Add Debian 12 support

As always let us know of any problems you run into in a new topic.

Cheers,
Joe

3 Likes

ERROR — FAILED TO CREATE TEMP DIRECTORY /TMP/.WEBMIN : NO SPACE LEFT ON DEVICE

this error popped up after update
i have tons of space left, i don’t understand why, any suggestions?

After which update?

Check the Virtualmin Dashboard to see which version of Webmin is running on your system. Is it the latest one, released today, and announced by Joe in the mesage above? I.e. Webmin 2.013?

If not, you have the earlier version of Webmin and there is a known bug in that version that causes the error you describe.

Peruse recent messages in the forum for more information about it.

And begin a new topic, let’s not elongate this one which is essentially an announcement.

Thanks a lot for having addressed the networking configuration issue on Debian systems :+1:

Could you push 2.013 to the Debian repos? (right now, an “apt-get upgrade” still installs 2.011)

You have to specify which repos you’re using. As far as I know, it has been pushed to all Debian repos that are maintained (i.e. /vm/6 and /vm/7), but if that’s not the case, I have a bug somewhere in my scripts.

On an (older) Debian 10 server:

$ cat /etc/apt/sources.list.d/virtualmin.list
deb http://software.virtualmin.com/vm/6/gpl/apt virtualmin-buster main
deb http://software.virtualmin.com/vm/6/gpl/apt virtualmin-universal main



$ apt-get install -s webmin
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following packages will be upgraded:
  webmin
1 upgraded, 0 newly installed, 0 to remove and 1 not upgraded.
Inst webmin [2.001] (2.011 . virtualmin-universal:virtualmin-universal [all])
Conf webmin (2.011 . virtualmin-universal:virtualmin-universal [all])

On a very recently installed Debian 11:

$ cat /etc/apt/sources.list.d/virtualmin.list
deb [signed-by=/usr/share/keyrings/debian-virtualmin-7.gpg] https://software.virtualmin.com/vm/7/gpl/apt virtualmin main



$ apt-get install -s webmin
Reading package lists... Done
Building dependency tree... Done
Reading state information... Done
The following packages will be upgraded:
  webmin
1 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
Inst webmin [2.001] (2.011 . virtualmin:virtualmin [all])
Conf webmin (2.011 . virtualmin:virtualmin [all])

(both preceded by an “apt-get update”)

Argh, I see it. Will be fixed in ten minutes.

Excellent, thank you so much :+1:

2.013 does not appear to be rolled out to Ubuntu repos as my version still shows as 2.011

It should be fixed by now, run apt-get update one more time.

You have to tell me which repos you have configured, if it is still missing. As far as I know, it is now in all repos.

All good now, thanks :slight_smile:

i installed the update and noticed that roundcube cant login with the username and password i used

There is no way in the world that is related to this topic.

Please open a new topic with a description of the problem and relevant logs or errors.

This topic was automatically closed 10 days after the last reply. New replies are no longer allowed.